Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes
SEG_SEARCH_PENDING Struct Reference

`#include <wordrec.h>`

Inheritance diagram for SEG_SEARCH_PENDING:

List of all members.

## Public Member Functions

| SEG_SEARCH_PENDING (int child_row_arg, BLOB_CHOICE_LIST *parent_arg, tesseract::LanguageModelFlagsType changed_arg)
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Static Public Member Functions

static int | compare (const void *p1, const void *p2)

## Public Attributes

int | child_row
BLOB_CHOICE_LIST * | parent
tesseract::LanguageModelFlagsType | changed

## Detailed Description

Definition at line 42 of file wordrec.h.

## Constructor & Destructor Documentation

SEG_SEARCH_PENDING::SEG_SEARCH_PENDING | ( | int | child_row_arg,
|  | BLOB_CHOICE_LIST * | parent_arg,
|  | tesseract::LanguageModelFlagsType | changed_arg
| ) |  |

inline

Definition at line 43 of file wordrec.h.

:
child_row(child_row_arg), parent(parent_arg), changed(changed_arg) {}

## Member Function Documentation

static int SEG_SEARCH_PENDING::compare | ( | const void * | p1,
|  | const void * | p2
| ) |  |

inlinestatic

Definition at line 49 of file wordrec.h.

{
const SEG_SEARCH_PENDING *e1 = *reinterpret_cast<
const SEG_SEARCH_PENDING * const *>(p1);
const SEG_SEARCH_PENDING *e2 = *reinterpret_cast<
const SEG_SEARCH_PENDING * const *>(p2);
if (e1->child_row == e2->child_row &&
e1->parent == e2->parent) return 0;
return (e1->child_row < e2->child_row) ? -1 : 1;
}

## Member Data Documentation

tesseract::LanguageModelFlagsType SEG_SEARCH_PENDING::changed

Definition at line 66 of file wordrec.h.

int SEG_SEARCH_PENDING::child_row

Definition at line 59 of file wordrec.h.

BLOB_CHOICE_LIST* SEG_SEARCH_PENDING::parent

Definition at line 60 of file wordrec.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/wordrec.h